# Hi 👋🏻, I'm Alex,
[![YouTube](https://img.shields.io/youtube/channel/subscribers/UCm6lURZOeBVCZ5hJpqlUB-g?style=social)](https://youtube.com/@alexhyettdev) [![Mastodon Follow](https://img.shields.io/mastodon/follow/110955440405802574?domain=https%3A%2F%2Fsocial.alexhyett.com)](https://social.alexhyett.com/@alex)
 [![LinkedIn](https://img.shields.io/badge/LinkedIn-%230077B5.svg?logo=linkedin&logoColor=white)](https://linkedin.com/in/alexhyett)

I am creating videos on software development on [YouTube](https://www.youtube.com/@alexhyettdev) and writing articles on my [blog](https://www.alexhyett.com) to help developers with the skills they need to become Senior Developers.

🚀 If you are looking to level up as a developer then you might like my newsletter [The Curious Engineer](https://www.alexhyett.com/newsletter/) where I help developers get the most out of their coding skills.

[![YouYube Subscribers](https://custom-icon-badges.demolab.com/youtube/channel/subscribers/UCm6lURZOeBVCZ5hJpqlUB-g?color=%23E05D44&label=SUBSCRIBE&logo=video&logoColor=white&style=for-the-badge&labelColor=CE4630)](https://www.youtube.com/@alexhyettdev?sub_confirmation=1) [![Youtube Views](https://custom-icon-badges.demolab.com/youtube/channel/views/UCm6lURZOeBVCZ5hJpqlUB-g?color=%23E1AD0E&logo=eye&logoColor=white&style=for-the-badge&labelColor=C79600)](https://www.youtube.com/@alexhyettdev) [![Ko-Fi](https://img.shields.io/badge/Ko--fi-F16061?style=for-the-badge&logo=ko-fi&logoColor=white)](https://ko-fi.com/alexhyett)

---
## 🧰 Languages and Tools
![C#](https://img.shields.io/badge/c%23-%23239120.svg?style=flat&logo=c-sharp&logoColor=white) ![.Net](https://img.shields.io/badge/.NET-5C2D91?style=flat&logo=.net&logoColor=white) ![JavaScript](https://img.shields.io/badge/javascript-%23323330.svg?style=flat&logo=javascript&logoColor=%23F7DF1E) ![Python](https://img.shields.io/badge/python-3670A0?style=flat&logo=python&logoColor=ffdd54)  ![AWS](https://img.shields.io/badge/AWS-%23FF9900.svg?style=flat&logo=amazon-aws&logoColor=white) ![Gatsby](https://img.shields.io/badge/Gatsby-%23663399.svg?style=flat&logo=gatsby&logoColor=white) ![Docker](https://img.shields.io/badge/docker-%230db7ed.svg?style=flat&logo=docker&logoColor=white) ![Terraform](https://img.shields.io/badge/terraform-%235835CC.svg?style=flat&logo=terraform&logoColor=white)

---
## 📺 Latest YouTube Videos
<!-- BEGIN YOUTUBE-CARDS -->
[![How to do Performance Testing with k6](https://ytcards.demolab.com/?id=ghuo8m7AXEM&title=How+to+do+Performance+Testing+with+k6&lang=en&timestamp=1696604438&background_color=%230d1117&title_color=%23ffffff&stats_color=%23dedede&max_title_lines=1&width=250&border_radius=5 "How to do Performance Testing with k6")](https://www.youtube.com/watch?v=ghuo8m7AXEM)
[![Idempotency - What it is and How to Implement it](https://ytcards.demolab.com/?id=XAccGbtl3Z8&title=Idempotency+-+What+it+is+and+How+to+Implement+it&lang=en&timestamp=1695394834&background_color=%230d1117&title_color=%23ffffff&stats_color=%23dedede&max_title_lines=1&width=250&border_radius=5 "Idempotency - What it is and How to Implement it")](https://www.youtube.com/watch?v=XAccGbtl3Z8)
[![5 Design Patterns That Are ACTUALLY Used By Developers](https://ytcards.demolab.com/?id=YMAwgRwjEOQ&title=5+Design+Patterns+That+Are+ACTUALLY+Used+By+Developers&lang=en&timestamp=1694185232&background_color=%230d1117&title_color=%23ffffff&stats_color=%23dedede&max_title_lines=1&width=250&border_radius=5 "5 Design Patterns That Are ACTUALLY Used By Developers")](https://www.youtube.com/watch?v=YMAwgRwjEOQ)
[![CI/CD Pipeline Using GitHub Actions: Automate Software Delivery (for free)](https://ytcards.demolab.com/?id=p3W2XCD3smk&title=CI%2FCD+Pipeline+Using+GitHub+Actions%3A+Automate+Software+Delivery+%28for+free%29&lang=en&timestamp=1689951647&background_color=%230d1117&title_color=%23ffffff&stats_color=%23dedede&max_title_lines=1&width=250&border_radius=5 "CI/CD Pipeline Using GitHub Actions: Automate Software Delivery (for free)")](https://www.youtube.com/watch?v=p3W2XCD3smk)
[![How to Build a Project That Will ACTUALLY Get You a Job](https://ytcards.demolab.com/?id=uoE2SkFMsVU&title=How+to+Build+a+Project+That+Will+ACTUALLY+Get+You+a+Job&lang=en&timestamp=1687532447&background_color=%230d1117&title_color=%23ffffff&stats_color=%23dedede&max_title_lines=1&width=250&border_radius=5 "How to Build a Project That Will ACTUALLY Get You a Job")](https://www.youtube.com/watch?v=uoE2SkFMsVU)
[![SOLID Principles: Do You Really Understand Them?](https://ytcards.demolab.com/?id=kF7rQmSRlq0&title=SOLID+Principles%3A+Do+You+Really+Understand+Them%3F&lang=en&timestamp=1686927638&background_color=%230d1117&title_color=%23ffffff&stats_color=%23dedede&max_title_lines=1&width=250&border_radius=5 "SOLID Principles: Do You Really Understand Them?")](https://www.youtube.com/watch?v=kF7rQmSRlq0)
<!-- END YOUTUBE-CARDS -->
